<?php

namespace App\Generated\V1_1\Messages\Partner;

use Kamicloud\StubApi\Concerns\ValueHelper;
use Kamicloud\StubApi\Http\Messages\Message;
use Kamicloud\StubApi\Utils\Constants;

class GetPartnerUserMessage extends Message
{
    use ValueHelper;

    protected $partnerId;
    protected $uid;
    protected $result;

    /**
     * @return int|null
     */
    public function getPartnerId()
    {
        return $this->partnerId;
    }

    /**
     * @return int|null
     */
    public function getUid()
    {
        return $this->uid;
    }

    public function requestRules()
    {
        return [
            ['partnerId', 'partner_id', 'bail|nullable|integer', Constants::INTEGER | Constants::OPTIONAL, null],
            ['uid', 'uid', 'bail|nullable|integer', Constants::INTEGER | Constants::OPTIONAL, null],
        ];
    }

    public function responseRules()
    {
        return [
            ['result', 'result', 'bail', null, null],
        ];
    }

    public function setResponse($result)
    {
        $this->result = $result;
    }

}
